Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class DeleteTModel

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request
            |
            +--weblogic.uddi.client.structures.request.UpdateRequest
                  |
                  +--weblogic.uddi.client.structures.request.DeleteTModel

public class DeleteTModel
extends UpdateRequest

The delete_tModel message is used to remove or retire one or more tModel structures.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`authInfo`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`DeleteTModel()` Class Constructor

Method Summary
`void` | `addTModelKey(java.lang.String tModelKey)` Adds a new TModelKey to the set of TModelKeys
`java.util.Vector` | `getTModelKeyVector()` Gets the current set of TModelKeys
`void` | `setTModelKeyVector(java.util.Vector keyVector)` Sets a new set of TModelKeys

Methods inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`getAuthInfo, setAuthInfo`

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteTModel

    public DeleteTModel()

  Class Constructor

Method Detail

### addTModelKey

    public void addTModelKey(java.lang.String tModelKey)

  Adds a new TModelKey to the set of TModelKeys

  Parameters:
    `tModelKey` - New TModelKey

### setTModelKeyVector

    public void setTModelKeyVector(java.util.Vector keyVector)

  Sets a new set of TModelKeys

  Parameters:
    `keyVector` - New set of TModelKeys

### getTModelKeyVector

    public java.util.Vector getTModelKeyVector()

  Gets the current set of TModelKeys

  Returns:
    Current set of TModelKeys

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference